Subject: System Benchmarks

From: "Mr. Berkley Shands" <[email-masked]>
Date: Wed, 9 Feb 1994 10:42:26 -0600

Once again, I can provide some CPU specific benchmark data, including
multiprocessor benchmarks. Since SUN finally came into the 20th century by supporting
MOTIF (X11R5) I can run on those machines as well. IBM and HP do not rate
as I have no access to those systems. These benchmarks are all double precision
floating point computations in molecular modelling. The software should be available
in the June 1994 timeframe and does reflect ongoing research and automation. Other
multiprocessor machines will be posted as they become available to me for testing.
If you want serious compute power, see below... :-)

	Berkley Shands

Receptor-III (TM - Tripos Associates) Beta Release version V2.4 timings for the ACE
series. Uniform distance space scanning at 0.0625A maximum increment with 
Adaptive Scanning in modified mode applied.  All bonds Adaptively scanned.
Minimum scan factor 1.27 degrees, maximum scan factor 3.52 degrees, Average of 2.73.
Uniform grid resolution of 0.25A. Fully automated setup and processing applied.
All computations in double precision!
This is the last time around for this dataset. Later benchmarks will use a
MOPAC/AM1 minimized subset with torsions variable.

*******************************************************************************
Benchmarks of the ACE series of 57 molecules IC50 > 6.0
*******************************************************************************

Elapsed Child_CPU System_CPU  Chargable Forks  Ratio
======= ========= ==========  ========= =====  =====

*  1311  1264.400      6.140   1245.310     2  0.916 SUN 4m/690 SPARC2 GCC -O2 Solaris 2.3
*  1287  1301.180     10.270   1281.230     5  1.013 SUN 4m/690 SPARC2 SC -xO4 Solaris 2.3
*  1148  1108.950      4.980   1099.070     2  0.969 SGI Indigo 48Mb -O2 (R3K/33Mhz) IRIX 5.1.1.2
*   942   957.470     29.730    940.250     4  1.020 SGI 4d/380s 128Mb -O2 (R3K/33Mhz)

*   643   579.383      5.633    567.733     2  0.907 AXP 3K/300L Gem CC -O4 32mb -feedback
*   603   529.440      5.270    524.770     2  0.882 SGI Indigo2 64Mb -O2 (R4K/50Mhz)
*   566   516.970      2.070    512.500     2  0.917 SGI Challenge M 96Mb -O2 (R4K/100Mhz)
*   519   504.690      4.880    496.800     3  0.978 SUN Sparc-100 (2X10/51's) Solaris 2.3 SC -xO4
*   498   445.430      1.960    440.250     2  0.902 SGI Challenge M 96Mb -O3 -mips2 (R4K/100Mhz)
*   437   414.233      2.450    407.533     2  0.952 AXP 3K/300 Std CC -O2 32mb
*   388   337.350      1.717    331.200     2  0.876 AXP 3K/400 Gem CC -O4 32mb -feedback
*   346   332.033      1.600    325.233     2  0.968 AXP 3K/300 Gem CC -O4 32mb -feedback

*******************************************************************************
No current data - single precision mode only... Sorry :-(
    239   212.367      1.503    200.117     7  0.904 DEC 3K/600 AXP 128mb GEM "CC" -O4 -feedback
    201   187.817      1.333    177.183     7  0.949 DEC 3K/800 AXP 256mb GEM "CC" -O4 -feedback
*******************************************************************************

Notes:

DEC AXP 3000/300L is 100 Mhz, 3K/300 is 150 Mhz, 3K/600 is 175 Mhz, 3K/800 is 200 Mhz
Many thanks to DEC for providing the 3K/600 and 3K/800 Machines.

All SGI machines ran IRIX 4.0.5 except as indicated.
All SUN machines ran Solaris 2.3 with Motif optimized to -xO4.
All AXP machines ran some flavor of OSF1 :-)

The "GEM" compiler is in save set CMPDEVENH on the OSF/1 CD.
The "STD" compiler is the default "CC" for OSF/1.
The "GCC" compiler is the GNU sun_sparc compiler.
The "SC"  compiler is the SUN Sparcworks optional C compiler.

"Child_CPU"  is the recorded total CPU for all forked processes, including
	     overhead and I/O.
"Elapsed"    is the recorded elapsed time from command line parsing to
	     the exit of the last child processes.
"System_CPU" is the recorded UNIX system overhead from the times() function
"Chargable"  is the algorithmic chargable time from initial rotations
	     to termination (child process CPU)

*****************************************************************************

	CPU benchmarking for current architectures February 1994.
	Software is an analytic ring closure method on an eight
	membered ring (cylooctane) from the Sybyl library.
	"Elapsed" is the wall clock time.
        "Child_CPU" is the total CPU over all forks.
	"System_CPU" is measured system overhead.
	"Conformers" are stericly allowed conformers.
	"Forks" is the number of fork() system calls.
        "Ratio" is Child_CPU / Elapsed
        "Ovhd/Fork" is the System_CPU / Forks.
        "Confs/Second" is the number of conformations per elapsed second.

* CycloOctane Absolute Orientation 02/04/94 Full log files.

wubs2 DEC Alpha AXP 3000/300 Ringsearch 
ringsearch -NOX11R4 -nrings -S0.050 -l -Bmodified cyclooctane -Tabsolute
<idle system OSF1 2.0>

Elapsed Child_CPU System_CPU  Conformers Forks  Ratio Ovhd/Fork 336.5 confs/second
    264   258.550      0.283       88843     1    xxx     xxxxx STD CC -O2

Elapsed Child_CPU System_CPU  Conformers Forks  Ratio Ovhd/Fork 403.8 confs/second
    220   219.200      0.033       88843     1    xxx     xxxxx GEM CC -O4 -feedback

************ Multisearch (multi-threaded ringsearch) *****************

multisearch -NOX11R4 -m4 -nrings -S0.050 -l -Bmodified cyclooctane -Tabsolute
(Absolute torsion orientation, 4 cpus concurent, Scan non-analytic ring sections
in 0.050A increments, Adaptive search in Modified mode with log files for I/O
Ring closure epsilon at 0.10A (a medium tolerance)).

Sun 4m (Sparc2 class machine) 690 4 processor 128Mb SUN Sparcworks Compiler -xO4

Elapsed Child_CPU System_CPU  Conformers Forks  Ratio Ovhd/Fork 245.4 confs/second
    362  1046.980     24.770       88843   179  2.892 0.138380

Sun Sparc-1000 (dual sparc10/51 cpus 128Mb Solaris 5.3 + motif)

Elapsed Child_CPU System_CPU  Conformers Forks  Ratio Ovhd/Fork 396.6 confs/second
    224   347.020      8.070       88843   179  1.549 0.045084

sgi 4d/380 4/8 cpus 
<lightly loaded system irix 4.0.1> 

Elapsed Child_CPU System_CPU  Conformers Forks  Ratio Ovhd/Fork 475.0 confs/second
    187   728.570      7.040       88843   179  3.896 0.039330

sgi 4d/380 8/8 cpus 

Elapsed Child_CPU System_CPU  Conformers Forks  Ratio Ovhd/Fork 897.4 confs/second
     99   728.970      7.070       88843   179  7.363 0.039497